#!/bin/sh

if 
	alert "This will create a new database named BeIndexed. It's required for the Finder and Indexer to work" "Abort" "Ok"; 
then 
	exit; 
fi

# create database
if
	createdb -h 127.0.0.1 beindexed
then
	echo "Created database";
else
	alert "Error creating database, setup failed. Either Postgres isn't running or there's already a database." "Ok";
	exit;
fi

# set up tables etc
if
	psql -h 127.0.0.1 -f data/psql_install_queries beindexed
then
	echo "Tables set up";
else
	alert "Error setting up tables, setup failed. This isn't supposed to happen, please contact mikael@eiman.tv" "Ok";
	dropdb -h 127.0.0.1 beindexed;
fi

# done, let the user know
alert "All done." "Ok"
